'                                                                  
' Copyright  2005 Lidor Systems.
' All Rights Reserved.
'
' This file is part of the "LidorSystems.Collector" class Library. 
'                                                                   
' The contents of this file are subject to the LidorSystems.Collector
' License (the "License"), and may not be used except in compliance
' with the License. A copy of the License should have been installed
' in the product's root installation directory. You may also obtain a
' copy of the License at...
'                                                                   
' http:'www.lidorsystems.com/products/collector/agreement.html
'                                                             
' Software distributed under this License is distributed on an 
' "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
' implied. See the License for the specific language governing 
' rights and limitations under the License.                        
' 

Imports LidorSystems.Collector
Imports LidorSystems.Collector.Style
Imports SHDocVw

Public Class Form1
    Inherits System.Windows.Forms.Form

#Region " Windows Form Designer generated code "

    Public Sub New()
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call

    End Sub

    'Form overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    Private WithEvents menuItem1 As System.Windows.Forms.MenuItem
    Private WithEvents menuItemExit As System.Windows.Forms.MenuItem
    Friend WithEvents imageList2 As System.Windows.Forms.ImageList
    Friend WithEvents imageList1 As System.Windows.Forms.ImageList
    Friend WithEvents imageListGoButton As System.Windows.Forms.ImageList
    Friend WithEvents MenuItem2 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem3 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem4 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem5 As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemViewBar As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem6 As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemVisualStyle As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemClassic As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemOffice2003 As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemVS2003 As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemVS2005 As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemDefault As System.Windows.Forms.MenuItem
    Friend WithEvents menuItem13 As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemThemed As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemFavorites As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemLS As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemLSProducts As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemGoogle As System.Windows.Forms.MenuItem
    Friend WithEvents menuItemWinForms As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem7 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem8 As System.Windows.Forms.MenuItem
    Friend WithEvents panel1 As System.Windows.Forms.Panel
    Friend WithEvents toolBarGoButton As System.Windows.Forms.ToolBar
    Friend WithEvents textBoxAddress As System.Windows.Forms.TextBox
    Friend WithEvents labelAddress As System.Windows.Forms.Label
    Friend WithEvents toolBarButton20 As System.Windows.Forms.ToolBarButton
    Friend WithEvents statusBar1 As System.Windows.Forms.StatusBar
    Friend WithEvents mainToolbar As System.Windows.Forms.ToolBar
    Friend WithEvents toolBarButton1 As System.Windows.Forms.ToolBarButton
    Friend WithEvents toolBarButton2 As System.Windows.Forms.ToolBarButton
    Friend WithEvents toolBarButton5 As System.Windows.Forms.ToolBarButton
    Friend WithEvents toolBarButton6 As System.Windows.Forms.ToolBarButton
    Friend WithEvents toolBarButton7 As System.Windows.Forms.ToolBarButton
    Friend WithEvents toolBarButton8 As System.Windows.Forms.ToolBarButton
    Friend WithEvents toolBarButton9 As System.Windows.Forms.ToolBarButton
    Friend WithEvents toolBarButton10 As System.Windows.Forms.ToolBarButton
    Friend WithEvents toolBarButton15 As System.Windows.Forms.ToolBarButton
    Friend WithEvents groupDocuments As LidorSystems.Collector.Group
    Friend WithEvents page1 As LidorSystems.Collector.Page
    Friend WithEvents axWebBrowser1 As AxSHDocVw.AxWebBrowser
    Friend WithEvents toolBarButton3 As System.Windows.Forms.ToolBarButton
    Friend WithEvents toolBarButton4 As System.Windows.Forms.ToolBarButton
    Friend WithEvents toolBarButton18 As System.Windows.Forms.ToolBarButton
    Friend WithEvents toolBarButton19 As System.Windows.Forms.ToolBarButton
    Friend WithEvents barBrowser As LidorSystems.Collector.Bar
    Friend WithEvents groupFavorites As LidorSystems.Collector.Group
    Friend WithEvents pageFavorites As LidorSystems.Collector.Page
    Friend WithEvents treeFavorites As System.Windows.Forms.TreeView
    Friend WithEvents toolBar As System.Windows.Forms.ToolBar
    Friend WithEvents groupHistory As LidorSystems.Collector.Group
    Friend WithEvents pageHistory As LidorSystems.Collector.Page
    Friend WithEvents treeView2 As System.Windows.Forms.TreeView
    Friend WithEvents toolBar3 As System.Windows.Forms.ToolBar
    Friend WithEvents groupResearch As LidorSystems.Collector.Group
    Friend WithEvents pageResearch As LidorSystems.Collector.Page
    Friend WithEvents linkLabel2 As System.Windows.Forms.LinkLabel
    Friend WithEvents linkLabel1 As System.Windows.Forms.LinkLabel
    Friend WithEvents label1 As System.Windows.Forms.Label
    Friend WithEvents listBox1 As System.Windows.Forms.ListBox
    Friend WithEvents comboBox1 As System.Windows.Forms.ComboBox
    Friend WithEvents pictureBox1 As System.Windows.Forms.PictureBox
    Friend WithEvents textBox1 As System.Windows.Forms.TextBox
    Private WithEvents mainMenu1 As System.Windows.Forms.MainMenu
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(Form1))
        Dim GroupStyle1 As LidorSystems.Collector.Style.GroupStyle = New LidorSystems.Collector.Style.GroupStyle
        Dim PageStyle1 As LidorSystems.Collector.Style.PageStyle = New LidorSystems.Collector.Style.PageStyle
        Dim Layer1 As LidorSystems.Collector.Layer = New LidorSystems.Collector.Layer
        Dim Layer2 As LidorSystems.Collector.Layer = New LidorSystems.Collector.Layer
        Dim Layer3 As LidorSystems.Collector.Layer = New LidorSystems.Collector.Layer
        Dim Layer4 As LidorSystems.Collector.Layer = New LidorSystems.Collector.Layer
        Dim Layer5 As LidorSystems.Collector.Layer = New LidorSystems.Collector.Layer
        Dim BarStyle1 As LidorSystems.Collector.Style.BarStyle = New LidorSystems.Collector.Style.BarStyle
        Dim GroupStyle2 As LidorSystems.Collector.Style.GroupStyle = New LidorSystems.Collector.Style.GroupStyle
        Me.groupFavorites = New LidorSystems.Collector.Group
        Me.pageFavorites = New LidorSystems.Collector.Page
        Me.treeFavorites = New System.Windows.Forms.TreeView
        Me.imageList2 = New System.Windows.Forms.ImageList(Me.components)
        Me.toolBar = New System.Windows.Forms.ToolBar
        Me.toolBarButton3 = New System.Windows.Forms.ToolBarButton
        Me.toolBarButton4 = New System.Windows.Forms.ToolBarButton
        Me.groupHistory = New LidorSystems.Collector.Group
        Me.pageHistory = New LidorSystems.Collector.Page
        Me.treeView2 = New System.Windows.Forms.TreeView
        Me.toolBar3 = New System.Windows.Forms.ToolBar
        Me.toolBarButton18 = New System.Windows.Forms.ToolBarButton
        Me.toolBarButton19 = New System.Windows.Forms.ToolBarButton
        Me.groupResearch = New LidorSystems.Collector.Group
        Me.pageResearch = New LidorSystems.Collector.Page
        Me.linkLabel2 = New System.Windows.Forms.LinkLabel
        Me.linkLabel1 = New System.Windows.Forms.LinkLabel
        Me.label1 = New System.Windows.Forms.Label
        Me.listBox1 = New System.Windows.Forms.ListBox
        Me.comboBox1 = New System.Windows.Forms.ComboBox
        Me.pictureBox1 = New System.Windows.Forms.PictureBox
        Me.textBox1 = New System.Windows.Forms.TextBox
        Me.menuItem1 = New System.Windows.Forms.MenuItem
        Me.menuItemExit = New System.Windows.Forms.MenuItem
        Me.imageList1 = New System.Windows.Forms.ImageList(Me.components)
        Me.imageListGoButton = New System.Windows.Forms.ImageList(Me.components)
        Me.mainMenu1 = New System.Windows.Forms.MainMenu
        Me.MenuItem2 = New System.Windows.Forms.MenuItem
        Me.MenuItem3 = New System.Windows.Forms.MenuItem
        Me.MenuItem4 = New System.Windows.Forms.MenuItem
        Me.MenuItem5 = New System.Windows.Forms.MenuItem
        Me.menuItemViewBar = New System.Windows.Forms.MenuItem
        Me.MenuItem6 = New System.Windows.Forms.MenuItem
        Me.menuItemVisualStyle = New System.Windows.Forms.MenuItem
        Me.menuItemClassic = New System.Windows.Forms.MenuItem
        Me.menuItemOffice2003 = New System.Windows.Forms.MenuItem
        Me.menuItemVS2003 = New System.Windows.Forms.MenuItem
        Me.menuItemVS2005 = New System.Windows.Forms.MenuItem
        Me.menuItemDefault = New System.Windows.Forms.MenuItem
        Me.menuItem13 = New System.Windows.Forms.MenuItem
        Me.menuItemThemed = New System.Windows.Forms.MenuItem
        Me.menuItemFavorites = New System.Windows.Forms.MenuItem
        Me.menuItemLS = New System.Windows.Forms.MenuItem
        Me.menuItemLSProducts = New System.Windows.Forms.MenuItem
        Me.menuItemGoogle = New System.Windows.Forms.MenuItem
        Me.menuItemWinForms = New System.Windows.Forms.MenuItem
        Me.MenuItem7 = New System.Windows.Forms.MenuItem
        Me.MenuItem8 = New System.Windows.Forms.MenuItem
        Me.panel1 = New System.Windows.Forms.Panel
        Me.toolBarGoButton = New System.Windows.Forms.ToolBar
        Me.toolBarButton20 = New System.Windows.Forms.ToolBarButton
        Me.textBoxAddress = New System.Windows.Forms.TextBox
        Me.labelAddress = New System.Windows.Forms.Label
        Me.statusBar1 = New System.Windows.Forms.StatusBar
        Me.mainToolbar = New System.Windows.Forms.ToolBar
        Me.toolBarButton1 = New System.Windows.Forms.ToolBarButton
        Me.toolBarButton2 = New System.Windows.Forms.ToolBarButton
        Me.toolBarButton5 = New System.Windows.Forms.ToolBarButton
        Me.toolBarButton6 = New System.Windows.Forms.ToolBarButton
        Me.toolBarButton7 = New System.Windows.Forms.ToolBarButton
        Me.toolBarButton8 = New System.Windows.Forms.ToolBarButton
        Me.toolBarButton9 = New System.Windows.Forms.ToolBarButton
        Me.toolBarButton10 = New System.Windows.Forms.ToolBarButton
        Me.toolBarButton15 = New System.Windows.Forms.ToolBarButton
        Me.groupDocuments = New LidorSystems.Collector.Group
        Me.page1 = New LidorSystems.Collector.Page
        Me.axWebBrowser1 = New AxSHDocVw.AxWebBrowser
        Me.barBrowser = New LidorSystems.Collector.Bar
        CType(Me.groupFavorites, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.groupFavorites.SuspendLayout()
        Me.pageFavorites.SuspendLayout()
        CType(Me.groupHistory, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.groupHistory.SuspendLayout()
        Me.pageHistory.SuspendLayout()
        CType(Me.groupResearch, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.groupResearch.SuspendLayout()
        Me.pageResearch.SuspendLayout()
        Me.panel1.SuspendLayout()
        CType(Me.groupDocuments, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.groupDocuments.SuspendLayout()
        Me.page1.SuspendLayout()
        CType(Me.axWebBrowser1, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.barBrowser, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.barBrowser.SuspendLayout()
        Me.SuspendLayout()
        '
        'groupFavorites
        '
        Me.groupFavorites.AllowDocking = LidorSystems.Collector.DockPermission.None
        Me.groupFavorites.AllowDrag = False
        Me.groupFavorites.AllowFloat = False
        Me.groupFavorites.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.groupFavorites.CloseAction = LidorSystems.Collector.CloseAction.Hide
        Me.groupFavorites.Controls.Add(Me.pageFavorites)
        Me.groupFavorites.Cursor = System.Windows.Forms.Cursors.Default
        Me.groupFavorites.DockStyle = System.Windows.Forms.DockStyle.Fill
        Me.groupFavorites.Expanded = False
        Me.groupFavorites.FocusRectangle = False
        Me.groupFavorites.ImageIndex = 9
        Me.groupFavorites.ImageList = Me.imageList2
        Me.groupFavorites.Location = New System.Drawing.Point(2, 24)
        Me.groupFavorites.Name = "groupFavorites"
        Me.groupFavorites.Pages.AddRange(New LidorSystems.Collector.Page() {Me.pageFavorites})
        Me.groupFavorites.SelectedPage = Me.pageFavorites
        Me.groupFavorites.Size = New System.Drawing.Size(199, 22)
        Me.groupFavorites.StyleFromParent = True
        Me.groupFavorites.TabIndex = 0
        Me.groupFavorites.TabStrip = False
        Me.groupFavorites.Text = "Favorites"
        '
        'pageFavorites
        '
        Me.pageFavorites.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.pageFavorites.Controls.Add(Me.treeFavorites)
        Me.pageFavorites.Controls.Add(Me.toolBar)
        Me.pageFavorites.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.0!)
        Me.pageFavorites.ImageIndex = 9
        Me.pageFavorites.Location = New System.Drawing.Point(1, 44)
        Me.pageFavorites.Name = "pageFavorites"
        Me.pageFavorites.Size = New System.Drawing.Size(197, 340)
        Me.pageFavorites.StyleFromParent = True
        Me.pageFavorites.TabIndex = 0
        Me.pageFavorites.TableObject = Nothing
        Me.pageFavorites.Text = "Favorites"
        '
        'treeFavorites
        '
        Me.treeFavorites.Dock = System.Windows.Forms.DockStyle.Fill
        Me.treeFavorites.ImageIndex = 2
        Me.treeFavorites.ImageList = Me.imageList2
        Me.treeFavorites.Location = New System.Drawing.Point(0, 28)
        Me.treeFavorites.Name = "treeFavorites"
        Me.treeFavorites.Nodes.AddRange(New System.Windows.Forms.TreeNode() {New System.Windows.Forms.TreeNode("Lidor Systems Web Site", 12, 12), New System.Windows.Forms.TreeNode("Lidor Systems Products", 12, 12), New System.Windows.Forms.TreeNode("Google Search", 13, 13), New System.Windows.Forms.TreeNode("Windows Forms .NET", 14, 14)})
        Me.treeFavorites.SelectedImageIndex = 2
        Me.treeFavorites.ShowRootLines = False
        Me.treeFavorites.Size = New System.Drawing.Size(197, 312)
        Me.treeFavorites.TabIndex = 3
        '
        'imageList2
        '
        Me.imageList2.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit
        Me.imageList2.ImageSize = New System.Drawing.Size(16, 16)
        Me.imageList2.ImageStream = CType(resources.GetObject("imageList2.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me.imageList2.TransparentColor = System.Drawing.Color.Transparent
        '
        'toolBar
        '
        Me.toolBar.Buttons.AddRange(New System.Windows.Forms.ToolBarButton() {Me.toolBarButton3, Me.toolBarButton4})
        Me.toolBar.DropDownArrows = True
        Me.toolBar.ImageList = Me.imageList2
        Me.toolBar.Location = New System.Drawing.Point(0, 0)
        Me.toolBar.Name = "toolBar"
        Me.toolBar.ShowToolTips = True
        Me.toolBar.Size = New System.Drawing.Size(197, 28)
        Me.toolBar.TabIndex = 2
        Me.toolBar.TextAlign = System.Windows.Forms.ToolBarTextAlign.Right
        Me.toolBar.Wrappable = False
        '
        'toolBarButton3
        '
        Me.toolBarButton3.ImageIndex = 0
        Me.toolBarButton3.Text = " Add..."
        '
        'toolBarButton4
        '
        Me.toolBarButton4.ImageIndex = 0
        Me.toolBarButton4.Text = " Organize..."
        '
        'groupHistory
        '
        Me.groupHistory.AllowDocking = LidorSystems.Collector.DockPermission.None
        Me.groupHistory.AllowDrag = False
        Me.groupHistory.AllowFloat = False
        Me.groupHistory.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.groupHistory.CloseAction = LidorSystems.Collector.CloseAction.Hide
        Me.groupHistory.Controls.Add(Me.pageHistory)
        Me.groupHistory.Cursor = System.Windows.Forms.Cursors.Default
        Me.groupHistory.DockStyle = System.Windows.Forms.DockStyle.Right
        Me.groupHistory.Expanded = False
        Me.groupHistory.FocusRectangle = False
        Me.groupHistory.ImageIndex = 10
        Me.groupHistory.ImageList = Me.imageList2
        Me.groupHistory.Location = New System.Drawing.Point(2, 48)
        Me.groupHistory.Name = "groupHistory"
        Me.groupHistory.Pages.AddRange(New LidorSystems.Collector.Page() {Me.pageHistory})
        Me.groupHistory.SelectedPage = Me.pageHistory
        Me.groupHistory.Size = New System.Drawing.Size(199, 22)
        Me.groupHistory.StyleFromParent = True
        Me.groupHistory.TabIndex = 1
        Me.groupHistory.TabStrip = False
        Me.groupHistory.Text = "History"
        '
        'pageHistory
        '
        Me.pageHistory.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.pageHistory.Controls.Add(Me.treeView2)
        Me.pageHistory.Controls.Add(Me.toolBar3)
        Me.pageHistory.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.0!)
        Me.pageHistory.ImageIndex = 10
        Me.pageHistory.Location = New System.Drawing.Point(1, 44)
        Me.pageHistory.Name = "pageHistory"
        Me.pageHistory.Size = New System.Drawing.Size(197, 340)
        Me.pageHistory.StyleFromParent = True
        Me.pageHistory.TabIndex = 0
        Me.pageHistory.TableObject = Nothing
        Me.pageHistory.Text = "History"
        '
        'treeView2
        '
        Me.treeView2.Dock = System.Windows.Forms.DockStyle.Fill
        Me.treeView2.FullRowSelect = True
        Me.treeView2.HotTracking = True
        Me.treeView2.ImageIndex = 4
        Me.treeView2.ImageList = Me.imageList2
        Me.treeView2.Indent = 19
        Me.treeView2.Location = New System.Drawing.Point(0, 28)
        Me.treeView2.Name = "treeView2"
        Me.treeView2.Nodes.AddRange(New System.Windows.Forms.TreeNode() {New System.Windows.Forms.TreeNode("3 Weeks Ago"), New System.Windows.Forms.TreeNode("2 Weeks Ago"), New System.Windows.Forms.TreeNode("Last Week"), New System.Windows.Forms.TreeNode("Monday"), New System.Windows.Forms.TreeNode("Today", New System.Windows.Forms.TreeNode() {New System.Windows.Forms.TreeNode("Lidor Systems (www.lidorsystems.com)", 5, 5), New System.Windows.Forms.TreeNode("google (www.google.com)", 5, 5), New System.Windows.Forms.TreeNode("Windows Forms .NET (www.windowsforms.net)", 5, 5)})})
        Me.treeView2.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.treeView2.Scrollable = False
        Me.treeView2.SelectedImageIndex = 4
        Me.treeView2.ShowLines = False
        Me.treeView2.ShowPlusMinus = False
        Me.treeView2.ShowRootLines = False
        Me.treeView2.Size = New System.Drawing.Size(197, 312)
        Me.treeView2.TabIndex = 5
        '
        'toolBar3
        '
        Me.toolBar3.Buttons.AddRange(New System.Windows.Forms.ToolBarButton() {Me.toolBarButton18, Me.toolBarButton19})
        Me.toolBar3.DropDownArrows = True
        Me.toolBar3.ImageList = Me.imageList2
        Me.toolBar3.Location = New System.Drawing.Point(0, 0)
        Me.toolBar3.Name = "toolBar3"
        Me.toolBar3.ShowToolTips = True
        Me.toolBar3.Size = New System.Drawing.Size(197, 28)
        Me.toolBar3.TabIndex = 4
        Me.toolBar3.TextAlign = System.Windows.Forms.ToolBarTextAlign.Right
        '
        'toolBarButton18
        '
        Me.toolBarButton18.Text = "View"
        '
        'toolBarButton19
        '
        Me.toolBarButton19.ImageIndex = 3
        Me.toolBarButton19.Text = "Search"
        '
        'groupResearch
        '
        Me.groupResearch.AllowDocking = LidorSystems.Collector.DockPermission.None
        Me.groupResearch.AllowDrag = False
        Me.groupResearch.AllowFloat = False
        Me.groupResearch.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.groupResearch.CloseAction = LidorSystems.Collector.CloseAction.Hide
        Me.groupResearch.Controls.Add(Me.pageResearch)
        Me.groupResearch.Cursor = System.Windows.Forms.Cursors.Default
        Me.groupResearch.DockStyle = System.Windows.Forms.DockStyle.Bottom
        Me.groupResearch.FocusRectangle = False
        Me.groupResearch.ImageIndex = 11
        Me.groupResearch.ImageList = Me.imageList2
        Me.groupResearch.Location = New System.Drawing.Point(2, 72)
        Me.groupResearch.Name = "groupResearch"
        Me.groupResearch.Pages.AddRange(New LidorSystems.Collector.Page() {Me.pageResearch})
        Me.groupResearch.SelectedPage = Me.pageResearch
        Me.groupResearch.Size = New System.Drawing.Size(199, 385)
        Me.groupResearch.StyleFromParent = True
        Me.groupResearch.TabIndex = 2
        Me.groupResearch.TabStrip = False
        Me.groupResearch.Text = "Research"
        '
        'pageResearch
        '
        Me.pageResearch.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.pageResearch.Controls.Add(Me.linkLabel2)
        Me.pageResearch.Controls.Add(Me.linkLabel1)
        Me.pageResearch.Controls.Add(Me.label1)
        Me.pageResearch.Controls.Add(Me.listBox1)
        Me.pageResearch.Controls.Add(Me.comboBox1)
        Me.pageResearch.Controls.Add(Me.pictureBox1)
        Me.pageResearch.Controls.Add(Me.textBox1)
        Me.pageResearch.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.0!)
        Me.pageResearch.ImageIndex = 11
        Me.pageResearch.Location = New System.Drawing.Point(1, 23)
        Me.pageResearch.Name = "pageResearch"
        Me.pageResearch.Size = New System.Drawing.Size(197, 361)
        Me.pageResearch.StyleFromParent = True
        Me.pageResearch.TabIndex = 0
        Me.pageResearch.TableObject = Nothing
        Me.pageResearch.Text = "Research"
        '
        'linkLabel2
        '
        Me.linkLabel2.BackColor = System.Drawing.Color.Transparent
        Me.linkLabel2.Image = CType(resources.GetObject("linkLabel2.Image"), System.Drawing.Image)
        Me.linkLabel2.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft
        Me.linkLabel2.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline
        Me.linkLabel2.LinkColor = System.Drawing.Color.MediumBlue
        Me.linkLabel2.Location = New System.Drawing.Point(6, 290)
        Me.linkLabel2.Name = "linkLabel2"
        Me.linkLabel2.Size = New System.Drawing.Size(152, 23)
        Me.linkLabel2.TabIndex = 13
        Me.linkLabel2.TabStop = True
        Me.linkLabel2.Text = "Research options..."
        Me.linkLabel2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        '
        'linkLabel1
        '
        Me.linkLabel1.BackColor = System.Drawing.Color.Transparent
        Me.linkLabel1.Image = CType(resources.GetObject("linkLabel1.Image"), System.Drawing.Image)
        Me.linkLabel1.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft
        Me.linkLabel1.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline
        Me.linkLabel1.LinkColor = System.Drawing.Color.MediumBlue
        Me.linkLabel1.Location = New System.Drawing.Point(6, 270)
        Me.linkLabel1.Name = "linkLabel1"
        Me.linkLabel1.Size = New System.Drawing.Size(114, 23)
        Me.linkLabel1.TabIndex = 12
        Me.linkLabel1.TabStop = True
        Me.linkLabel1.Text = "Get Services"
        Me.linkLabel1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        '
        'label1
        '
        Me.label1.Location = New System.Drawing.Point(6, 9)
        Me.label1.Name = "label1"
        Me.label1.Size = New System.Drawing.Size(100, 18)
        Me.label1.TabIndex = 11
        Me.label1.Text = "Search for:"
        '
        'listBox1
        '
        Me.listBox1.Anchor = CType(((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Left) _
                    Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.listBox1.ItemHeight = 15
        Me.listBox1.Location = New System.Drawing.Point(6, 83)
        Me.listBox1.Name = "listBox1"
        Me.listBox1.ScrollAlwaysVisible = True
        Me.listBox1.Size = New System.Drawing.Size(186, 184)
        Me.listBox1.TabIndex = 10
        '
        'comboBox1
        '
        Me.comboBox1.Anchor = CType(((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Left) _
                    Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.comboBox1.Location = New System.Drawing.Point(6, 55)
        Me.comboBox1.Name = "comboBox1"
        Me.comboBox1.Size = New System.Drawing.Size(186, 23)
        Me.comboBox1.TabIndex = 9
        '
        'pictureBox1
        '
        Me.pictureBox1.Image = CType(resources.GetObject("pictureBox1.Image"), System.Drawing.Image)
        Me.pictureBox1.Location = New System.Drawing.Point(174, 31)
        Me.pictureBox1.Name = "pictureBox1"
        Me.pictureBox1.Size = New System.Drawing.Size(16, 16)
        Me.pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize
        Me.pictureBox1.TabIndex = 8
        Me.pictureBox1.TabStop = False
        '
        'textBox1
        '
        Me.textBox1.Location = New System.Drawing.Point(6, 29)
        Me.textBox1.Name = "textBox1"
        Me.textBox1.Size = New System.Drawing.Size(166, 21)
        Me.textBox1.TabIndex = 7
        Me.textBox1.Text = ""
        '
        'menuItem1
        '
        Me.menuItem1.Index = -1
        Me.menuItem1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItemExit})
        Me.menuItem1.Text = "&File"
        '
        'menuItemExit
        '
        Me.menuItemExit.Index = 0
        Me.menuItemExit.Shortcut = System.Windows.Forms.Shortcut.AltF4
        Me.menuItemExit.Text = "E&xit"
        '
        'imageList1
        '
        Me.imageList1.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit
        Me.imageList1.ImageSize = New System.Drawing.Size(24, 24)
        Me.imageList1.ImageStream = CType(resources.GetObject("imageList1.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me.imageList1.TransparentColor = System.Drawing.Color.Transparent
        '
        'imageListGoButton
        '
        Me.imageListGoButton.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit
        Me.imageListGoButton.ImageSize = New System.Drawing.Size(16, 16)
        Me.imageListGoButton.ImageStream = CType(resources.GetObject("imageListGoButton.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me.imageListGoButton.TransparentColor = System.Drawing.Color.Transparent
        '
        'mainMenu1
        '
        Me.mainMenu1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuItem2, Me.MenuItem4, Me.MenuItem5, Me.menuItemFavorites, Me.MenuItem7, Me.MenuItem8})
        '
        'MenuItem2
        '
        Me.MenuItem2.Index = 0
        Me.MenuItem2.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuItem3})
        Me.MenuItem2.Text = "&File"
        '
        'MenuItem3
        '
        Me.MenuItem3.Index = 0
        Me.MenuItem3.Shortcut = System.Windows.Forms.Shortcut.AltF4
        Me.MenuItem3.Text = "E&xit"
        '
        'MenuItem4
        '
        Me.MenuItem4.Index = 1
        Me.MenuItem4.Text = "Edit"
        '
        'MenuItem5
        '
        Me.MenuItem5.Index = 2
        Me.MenuItem5.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItemViewBar, Me.MenuItem6, Me.menuItemVisualStyle})
        Me.MenuItem5.Text = "View"
        '
        'menuItemViewBar
        '
        Me.menuItemViewBar.Checked = True
        Me.menuItemViewBar.Index = 0
        Me.menuItemViewBar.Text = "Navigation pane visible"
        '
        'MenuItem6
        '
        Me.MenuItem6.Index = 1
        Me.MenuItem6.Text = "-"
        '
        'menuItemVisualStyle
        '
        Me.menuItemVisualStyle.Index = 2
        Me.menuItemVisualStyle.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItemClassic, Me.menuItemOffice2003, Me.menuItemVS2003, Me.menuItemVS2005, Me.menuItemDefault, Me.menuItem13, Me.menuItemThemed})
        Me.menuItemVisualStyle.Text = "Visual Style"
        '
        'menuItemClassic
        '
        Me.menuItemClassic.Index = 0
        Me.menuItemClassic.Text = "Classic"
        '
        'menuItemOffice2003
        '
        Me.menuItemOffice2003.Index = 1
        Me.menuItemOffice2003.Text = "Office 2003"
        '
        'menuItemVS2003
        '
        Me.menuItemVS2003.Index = 2
        Me.menuItemVS2003.Text = "Visual Studio 2003"
        '
        'menuItemVS2005
        '
        Me.menuItemVS2005.Index = 3
        Me.menuItemVS2005.Text = "Visual Studio 2005"
        '
        'menuItemDefault
        '
        Me.menuItemDefault.Index = 4
        Me.menuItemDefault.Text = "Default"
        '
        'menuItem13
        '
        Me.menuItem13.Index = 5
        Me.menuItem13.Text = "-"
        '
        'menuItemThemed
        '
        Me.menuItemThemed.Index = 6
        Me.menuItemThemed.Text = "Theme Aware"
        '
        'menuItemFavorites
        '
        Me.menuItemFavorites.Index = 3
        Me.menuItemFavorites.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItemLS, Me.menuItemLSProducts, Me.menuItemGoogle, Me.menuItemWinForms})
        Me.menuItemFavorites.Text = "Favorites"
        '
        'menuItemLS
        '
        Me.menuItemLS.Index = 0
        Me.menuItemLS.Text = "Lidor Systems Website"
        '
        'menuItemLSProducts
        '
        Me.menuItemLSProducts.Index = 1
        Me.menuItemLSProducts.Text = "Lidor Systems Products"
        '
        'menuItemGoogle
        '
        Me.menuItemGoogle.Index = 2
        Me.menuItemGoogle.Text = "Google Search"
        '
        'menuItemWinForms
        '
        Me.menuItemWinForms.Index = 3
        Me.menuItemWinForms.Text = "WindowsForms.NET"
        '
        'MenuItem7
        '
        Me.MenuItem7.Index = 4
        Me.MenuItem7.Text = "Tools"
        '
        'MenuItem8
        '
        Me.MenuItem8.Index = 5
        Me.MenuItem8.Text = "Help"
        '
        'panel1
        '
        Me.panel1.Controls.Add(Me.toolBarGoButton)
        Me.panel1.Controls.Add(Me.textBoxAddress)
        Me.panel1.Controls.Add(Me.labelAddress)
        Me.panel1.Dock = System.Windows.Forms.DockStyle.Top
        Me.panel1.Location = New System.Drawing.Point(0, 36)
        Me.panel1.Name = "panel1"
        Me.panel1.Size = New System.Drawing.Size(670, 28)
        Me.panel1.TabIndex = 8
        '
        'toolBarGoButton
        '
        Me.toolBarGoButton.Anchor = System.Windows.Forms.AnchorStyles.Right
        Me.toolBarGoButton.Buttons.AddRange(New System.Windows.Forms.ToolBarButton() {Me.toolBarButton20})
        Me.toolBarGoButton.ButtonSize = New System.Drawing.Size(48, 20)
        Me.toolBarGoButton.Divider = False
        Me.toolBarGoButton.Dock = System.Windows.Forms.DockStyle.None
        Me.toolBarGoButton.DropDownArrows = True
        Me.toolBarGoButton.ImageList = Me.imageListGoButton
        Me.toolBarGoButton.Location = New System.Drawing.Point(618, 3)
        Me.toolBarGoButton.Name = "toolBarGoButton"
        Me.toolBarGoButton.ShowToolTips = True
        Me.toolBarGoButton.Size = New System.Drawing.Size(50, 26)
        Me.toolBarGoButton.TabIndex = 3
        Me.toolBarGoButton.TextAlign = System.Windows.Forms.ToolBarTextAlign.Right
        '
        'toolBarButton20
        '
        Me.toolBarButton20.ImageIndex = 0
        Me.toolBarButton20.Text = "&Go"
        '
        'textBoxAddress
        '
        Me.textBoxAddress.Anchor = CType((System.Windows.Forms.AnchorStyles.Left Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.textBoxAddress.Location = New System.Drawing.Point(56, 4)
        Me.textBoxAddress.Name = "textBoxAddress"
        Me.textBoxAddress.Size = New System.Drawing.Size(558, 20)
        Me.textBoxAddress.TabIndex = 2
        Me.textBoxAddress.Text = ""
        '
        'labelAddress
        '
        Me.labelAddress.Anchor = System.Windows.Forms.AnchorStyles.Left
        Me.labelAddress.BackColor = System.Drawing.Color.Transparent
        Me.labelAddress.Location = New System.Drawing.Point(4, 4)
        Me.labelAddress.Name = "labelAddress"
        Me.labelAddress.Size = New System.Drawing.Size(50, 20)
        Me.labelAddress.TabIndex = 1
        Me.labelAddress.Text = "Address"
        Me.labelAddress.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'statusBar1
        '
        Me.statusBar1.Location = New System.Drawing.Point(0, 523)
        Me.statusBar1.Name = "statusBar1"
        Me.statusBar1.Size = New System.Drawing.Size(670, 22)
        Me.statusBar1.TabIndex = 9
        Me.statusBar1.Text = "statusBar"
        '
        'mainToolbar
        '
        Me.mainToolbar.Appearance = System.Windows.Forms.ToolBarAppearance.Flat
        Me.mainToolbar.Buttons.AddRange(New System.Windows.Forms.ToolBarButton() {Me.toolBarButton1, Me.toolBarButton2, Me.toolBarButton5, Me.toolBarButton6, Me.toolBarButton7, Me.toolBarButton8, Me.toolBarButton9, Me.toolBarButton10, Me.toolBarButton15})
        Me.mainToolbar.DropDownArrows = True
        Me.mainToolbar.ImageList = Me.imageList1
        Me.mainToolbar.Location = New System.Drawing.Point(0, 0)
        Me.mainToolbar.Name = "mainToolbar"
        Me.mainToolbar.ShowToolTips = True
        Me.mainToolbar.Size = New System.Drawing.Size(670, 36)
        Me.mainToolbar.TabIndex = 7
        Me.mainToolbar.TextAlign = System.Windows.Forms.ToolBarTextAlign.Right
        '
        'toolBarButton1
        '
        Me.toolBarButton1.ImageIndex = 0
        Me.toolBarButton1.Text = " Back"
        '
        'toolBarButton2
        '
        Me.toolBarButton2.ImageIndex = 1
        '
        'toolBarButton5
        '
        Me.toolBarButton5.ImageIndex = 2
        '
        'toolBarButton6
        '
        Me.toolBarButton6.ImageIndex = 3
        '
        'toolBarButton7
        '
        Me.toolBarButton7.ImageIndex = 4
        '
        'toolBarButton8
        '
        Me.toolBarButton8.Style = System.Windows.Forms.ToolBarButtonStyle.Separator
        '
        'toolBarButton9
        '
        Me.toolBarButton9.ImageIndex = 5
        Me.toolBarButton9.Text = "Search"
        '
        'toolBarButton10
        '
        Me.toolBarButton10.ImageIndex = 6
        Me.toolBarButton10.Text = "Favorites"
        '
        'toolBarButton15
        '
        Me.toolBarButton15.ImageIndex = 10
        '
        'groupDocuments
        '
        Me.groupDocuments.AcceptType = LidorSystems.Collector.AcceptType.Documents
        Me.groupDocuments.AllowDocking = LidorSystems.Collector.DockPermission.Fill
        Me.groupDocuments.AllowFloat = False
        Me.groupDocuments.AllowResize = False
        Me.groupDocuments.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.groupDocuments.Controls.Add(Me.page1)
        Me.groupDocuments.ControlState = LidorSystems.Collector.ControlState.Docked
        Me.groupDocuments.ControlType = LidorSystems.Collector.ControlType.Document
        Me.groupDocuments.Cursor = System.Windows.Forms.Cursors.Default
        Me.groupDocuments.Dock = System.Windows.Forms.DockStyle.Fill
        Me.groupDocuments.Header = False
        Me.groupDocuments.Location = New System.Drawing.Point(206, 64)
        Me.groupDocuments.Name = "groupDocuments"
        Me.groupDocuments.Pages.AddRange(New LidorSystems.Collector.Page() {Me.page1})
        Me.groupDocuments.SelectedPage = Me.page1
        Me.groupDocuments.Size = New System.Drawing.Size(464, 459)
        PageStyle1.Margin = New LidorSystems.Collector.Margin(2, 2, 2, 2)
        GroupStyle1.PageStyle = PageStyle1
        Me.groupDocuments.Style = GroupStyle1
        Me.groupDocuments.TabIndex = 10
        Me.groupDocuments.TabStrip = False
        Me.groupDocuments.Text = "group1"
        '
        'page1
        '
        Me.page1.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.page1.Controls.Add(Me.axWebBrowser1)
        Me.page1.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.0!)
        Me.page1.Location = New System.Drawing.Point(1, 1)
        Me.page1.Name = "page1"
        Me.page1.Size = New System.Drawing.Size(462, 457)
        Me.page1.StyleFromParent = True
        Me.page1.TabIndex = 0
        Me.page1.TableObject = Nothing
        Me.page1.Text = "Document 1"
        '
        'axWebBrowser1
        '
        Me.axWebBrowser1.ContainingControl = Me
        Me.axWebBrowser1.Dock = System.Windows.Forms.DockStyle.Fill
        Me.axWebBrowser1.Enabled = True
        Me.axWebBrowser1.Location = New System.Drawing.Point(0, 0)
        Me.axWebBrowser1.OcxState = CType(resources.GetObject("axWebBrowser1.OcxState"), System.Windows.Forms.AxHost.State)
        Me.axWebBrowser1.Size = New System.Drawing.Size(462, 457)
        Me.axWebBrowser1.TabIndex = 0
        '
        'barBrowser
        '
        Me.barBrowser.AllowDrag = False
        Me.barBrowser.AllowFloat = False
        Me.barBrowser.CloseAction = LidorSystems.Collector.CloseAction.Hide
        Me.barBrowser.Controls.Add(Me.groupFavorites)
        Me.barBrowser.Controls.Add(Me.groupHistory)
        Me.barBrowser.Controls.Add(Me.groupResearch)
        Me.barBrowser.ControlState = LidorSystems.Collector.ControlState.Docked
        Me.barBrowser.Cursor = System.Windows.Forms.Cursors.Default
        Me.barBrowser.Dock = System.Windows.Forms.DockStyle.Left
        Me.barBrowser.FocusRectangle = False
        Me.barBrowser.Groups.AddRange(New LidorSystems.Collector.Group() {Me.groupFavorites, Me.groupHistory, Me.groupResearch})
        Me.barBrowser.Image = CType(resources.GetObject("barBrowser.Image"), System.Drawing.Image)
        Me.barBrowser.ImageList = Me.imageList2
        Me.barBrowser.Location = New System.Drawing.Point(0, 64)
        Me.barBrowser.Name = "barBrowser"
        Layer1.Bounds = New System.Drawing.Rectangle(2, 24, 199, 391)
        Layer2.Bounds = New System.Drawing.Rectangle(2, 24, 199, 147)
        Layer3.Bounds = New System.Drawing.Rectangle(2, 24, 97, 147)
        Layer3.Group = Me.groupFavorites
        Layer2.LeftLayer = Layer3
        Layer4.Bounds = New System.Drawing.Rectangle(103, 24, 98, 147)
        Layer4.Group = Me.groupHistory
        Layer2.RightLayer = Layer4
        Layer2.SpliterType = LidorSystems.Collector.SpliterType.Vertical
        Layer2.SplitRectangle = New System.Drawing.Rectangle(99, 24, 4, 147)
        Layer1.LeftLayer = Layer2
        Layer5.Bounds = New System.Drawing.Rectangle(2, 175, 199, 240)
        Layer5.Group = Me.groupResearch
        Layer1.RightLayer = Layer5
        Layer1.SpliterType = LidorSystems.Collector.SpliterType.Horizontal
        Layer1.SplitRectangle = New System.Drawing.Rectangle(2, 171, 199, 4)
        Me.barBrowser.RootLayer = Layer1
        Me.barBrowser.SelectedGroup = Me.groupResearch
        Me.barBrowser.Size = New System.Drawing.Size(206, 459)
        GroupStyle2.AutoHideButton = True
        GroupStyle2.ContextMenuButton = False
        GroupStyle2.ExpandButton = False
        GroupStyle2.MoveButton = True
        BarStyle1.GroupStyle = GroupStyle2
        Me.barBrowser.Style = BarStyle1
        Me.barBrowser.TabIndex = 11
        Me.barBrowser.Text = "Browser"
        '
        'Form1
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(670, 545)
        Me.Controls.Add(Me.groupDocuments)
        Me.Controls.Add(Me.barBrowser)
        Me.Controls.Add(Me.panel1)
        Me.Controls.Add(Me.statusBar1)
        Me.Controls.Add(Me.mainToolbar)
        Me.Menu = Me.mainMenu1
        Me.Name = "Form1"
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
        Me.Text = "Browser"
        Me.WindowState = System.Windows.Forms.FormWindowState.Maximized
        CType(Me.groupFavorites, System.ComponentModel.ISupportInitialize).EndInit()
        Me.groupFavorites.ResumeLayout(False)
        Me.pageFavorites.ResumeLayout(False)
        CType(Me.groupHistory, System.ComponentModel.ISupportInitialize).EndInit()
        Me.groupHistory.ResumeLayout(False)
        Me.pageHistory.ResumeLayout(False)
        CType(Me.groupResearch, System.ComponentModel.ISupportInitialize).EndInit()
        Me.groupResearch.ResumeLayout(False)
        Me.pageResearch.ResumeLayout(False)
        Me.panel1.ResumeLayout(False)
        CType(Me.groupDocuments, System.ComponentModel.ISupportInitialize).EndInit()
        Me.groupDocuments.ResumeLayout(False)
        Me.page1.ResumeLayout(False)
        CType(Me.axWebBrowser1, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.barBrowser, System.ComponentModel.ISupportInitialize).EndInit()
        Me.barBrowser.ResumeLayout(False)
        Me.ResumeLayout(False)

    End Sub

#End Region

#Region "ContextMenu"

#Region "General"

    Private Sub barBrowser_ContextMenuButtonClick(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs) Handles barBrowser.ContextMenuButtonClick
        Dim menu As ContextMenu = New ContextMenu
        menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Header, Nothing, "Action Menu", Me.Font, Nothing))
        Dim appearance As ControlAppearance = ControlAppearance.Vertical
        If Not (barBrowser.Style Is Nothing) Then
            appearance = barBrowser.Style.Appearance
        End If

        Dim menuItemAppearance As CollectorMenuItem = New CollectorMenuItem(MenuItemType.Normal, Nothing, "Appearance", Me.Font, Nothing)
        menuItemAppearance.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Vertical", Me.Font, AddressOf OnAppearanceVertical, True, Microsoft.VisualBasic.IIf(appearance = ControlAppearance.Vertical, True, False), Nothing))
        menuItemAppearance.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Horizontal", Me.Font, AddressOf OnAppearanceHorizontal, True, Microsoft.VisualBasic.IIf(appearance = ControlAppearance.Horizontal, True, False), Nothing))
        menuItemAppearance.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Selection", Me.Font, AddressOf OnAppearanceSelection, True, Microsoft.VisualBasic.IIf(appearance = ControlAppearance.Selection, True, False), Nothing))
        menuItemAppearance.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "ToolWindow", Me.Font, AddressOf OnAppearanceToolWindow, True, Microsoft.VisualBasic.IIf(appearance = ControlAppearance.ToolWindow, True, False), Nothing))
        menu.MenuItems.Add(menuItemAppearance)

        Dim menuItemVisualStyle As CollectorMenuItem = New CollectorMenuItem(MenuItemType.Normal, Nothing, "VisualStyle", Me.Font, Nothing)
        menuItemVisualStyle.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Default", Me.Font, AddressOf OnVisualStyleDefault, True, Microsoft.VisualBasic.IIf(barBrowser.VisualStyle = VisualStyle.Default, True, False), Nothing))
        menuItemVisualStyle.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Classic", Me.Font, AddressOf OnVisualStyleClassic, True, Microsoft.VisualBasic.IIf(barBrowser.VisualStyle = VisualStyle.Classic, True, False), Nothing))
        menuItemVisualStyle.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Office2003", Me.Font, AddressOf OnVisualStyleOffice2003, True, Microsoft.VisualBasic.IIf(barBrowser.VisualStyle = VisualStyle.Office2003, True, False), Nothing))
        menuItemVisualStyle.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "VS2003", Me.Font, AddressOf OnVisualStyleVS2003, True, Microsoft.VisualBasic.IIf(barBrowser.VisualStyle = VisualStyle.VS2003, True, False), Nothing))
        menuItemVisualStyle.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "VS2005", Me.Font, AddressOf OnVisualStyleVS2005, True, Microsoft.VisualBasic.IIf(barBrowser.VisualStyle = VisualStyle.VS2005, True, False), Nothing))
        menuItemVisualStyle.MenuItems.Add(New CollectorMenuItem(MenuItemType.Separator, Nothing))
        menuItemVisualStyle.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Theme Aware", Me.Font, AddressOf OnThemed, True, barBrowser.UseTheme, Nothing))
        menu.MenuItems.Add(menuItemVisualStyle)
        menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Section, Nothing, "Active Groups", Me.Font, Nothing))
        menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Favorites", Me.Font, AddressOf OnFavorites, True, Microsoft.VisualBasic.IIf(barBrowser.Contains(groupFavorites), True, False), Nothing))
        menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "History", Me.Font, AddressOf OnHistory, True, Microsoft.VisualBasic.IIf(barBrowser.Contains(groupHistory), True, False), Nothing))
        menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Research", Me.Font, AddressOf OnResearch, True, Microsoft.VisualBasic.IIf(barBrowser.Contains(groupResearch), True, False), Nothing))
        menu.Show(barBrowser, barBrowser.PointToClient(Control.MousePosition))
    End Sub
#End Region

#Region "Appearance"
    Private Sub OnAppearanceHorizontal(ByVal sender As Object, ByVal e As System.EventArgs)
        SetAppearance(ControlAppearance.Horizontal)
    End Sub

    Private Sub OnAppearanceVertical(ByVal sender As Object, ByVal e As System.EventArgs)
        SetAppearance(ControlAppearance.Vertical)
    End Sub

    Private Sub OnAppearanceSelection(ByVal sender As Object, ByVal e As System.EventArgs)
        SetAppearance(ControlAppearance.Selection)
    End Sub

    Private Sub OnAppearanceToolWindow(ByVal sender As Object, ByVal e As System.EventArgs)
        SetAppearance(ControlAppearance.ToolWindow)
    End Sub

    Private Sub SetAppearance(ByVal appearance As ControlAppearance)
        If Not (barBrowser.Style Is Nothing) Then
            barBrowser.Style.Appearance = appearance
        End If
    End Sub
#End Region

#Region "VisualStyle"
    Private Sub OnVisualStyleDefault(ByVal sender As Object, ByVal e As System.EventArgs)
        SetVisualStyle(VisualStyle.Default)
    End Sub

    Private Sub OnVisualStyleClassic(ByVal sender As Object, ByVal e As System.EventArgs)
        SetVisualStyle(VisualStyle.Classic)
    End Sub

    Private Sub OnVisualStyleOffice2003(ByVal sender As Object, ByVal e As System.EventArgs)
        SetVisualStyle(VisualStyle.Office2003)
    End Sub

    Private Sub OnVisualStyleVS2003(ByVal sender As Object, ByVal e As System.EventArgs)
        SetVisualStyle(VisualStyle.VS2003)
    End Sub

    Private Sub OnVisualStyleVS2005(ByVal sender As Object, ByVal e As System.EventArgs)
        SetVisualStyle(VisualStyle.VS2005)
    End Sub

    Private Sub SetVisualStyle(ByVal vStyle As VisualStyle)
        barBrowser.VisualStyle = vStyle
        For Each ctrl As Control In Me.Controls
            If TypeOf ctrl Is AutoHideBar Then
                CType(ctrl, AutoHideBar).VisualStyle = vStyle
            End If
        Next
    End Sub

    Private Sub OnThemed(ByVal sender As Object, ByVal e As System.EventArgs)
        barBrowser.UseTheme = Not barBrowser.UseTheme
        For Each ctrl As Control In Me.Controls
            If TypeOf ctrl Is AutoHideBar Then
                CType(ctrl, AutoHideBar).UseTheme = barBrowser.UseTheme
            End If
        Next
    End Sub
#End Region

#Region "Groups"
    Private Sub OnFavorites(ByVal sender As Object, ByVal e As System.EventArgs)
        If barBrowser.Groups.Contains(groupFavorites) Then
            groupFavorites.Visible = True
            barBrowser.SelectedGroup = groupFavorites
        End If
    End Sub

    Private Sub OnHistory(ByVal sender As Object, ByVal e As System.EventArgs)
        If barBrowser.Groups.Contains(groupHistory) Then
            groupHistory.Visible = True
            barBrowser.SelectedGroup = groupHistory
        End If
    End Sub

    Private Sub OnResearch(ByVal sender As Object, ByVal e As System.EventArgs)
        If barBrowser.Groups.Contains(groupResearch) Then
            groupResearch.Visible = True
            barBrowser.SelectedGroup = groupResearch
        End If
    End Sub
#End Region

#End Region

#Region "Favorites"
    Private Sub treeFavorites_AfterSelect(ByVal sender As Object, ByVal e As System.Windows.Forms.TreeViewEventArgs) Handles treeFavorites.AfterSelect
        Dim destination As String = ""
        Dim obj As Object = Nothing
        Select Case treeFavorites.SelectedNode.Index
            Case 0
                destination = "http://www.lidorsystems.com"
                If groupDocuments.Pages.Count > 0 AndAlso TypeOf groupDocuments.Pages(0).Controls(0) Is AxSHDocVw.AxWebBrowser Then
                    groupDocuments.SelectedPage = groupDocuments.Pages(0)
                    CType(groupDocuments.Pages(0).Controls(0), AxSHDocVw.AxWebBrowser).Navigate(destination, obj, obj, obj, obj)
                Else
                    groupDocuments.Pages.Add(CreateDocument(destination))
                End If
                ' break 
            Case 1
                destination = "http://www.lidorsystems.com/products/collector"
                If groupDocuments.Pages.Count > 1 AndAlso TypeOf groupDocuments.Pages(1).Controls(0) Is AxSHDocVw.AxWebBrowser Then
                    groupDocuments.SelectedPage = groupDocuments.Pages(1)
                    CType(groupDocuments.Pages(1).Controls(0), AxSHDocVw.AxWebBrowser).Navigate(destination, obj, obj, obj, obj)
                Else
                    groupDocuments.Pages.Add(CreateDocument(destination))
                End If
                ' break 
            Case 2
                destination = "http://www.google.com"
                If groupDocuments.Pages.Count > 2 AndAlso TypeOf groupDocuments.Pages(2).Controls(0) Is AxSHDocVw.AxWebBrowser Then
                    groupDocuments.SelectedPage = groupDocuments.Pages(2)
                    CType(groupDocuments.Pages(2).Controls(0), AxSHDocVw.AxWebBrowser).Navigate("http://www.google.com", obj, obj, obj, obj)
                Else
                    groupDocuments.Pages.Add(CreateDocument(destination))
                End If
                ' break 
            Case 3
                destination = "http://www.windowsforms.com"
                If groupDocuments.Pages.Count > 3 AndAlso TypeOf groupDocuments.Pages(3).Controls(0) Is AxSHDocVw.AxWebBrowser Then
                    groupDocuments.SelectedPage = groupDocuments.Pages(3)
                    CType(groupDocuments.Pages(3).Controls(0), AxSHDocVw.AxWebBrowser).Navigate("http://www.windowsforms.com", obj, obj, obj, obj)
                Else
                    groupDocuments.Pages.Add(CreateDocument(destination))
                End If
                ' break 
        End Select
        If groupDocuments.Pages.Count > 1 Then
            groupDocuments.TabStrip = True
        End If
        If groupDocuments.Pages.Count > 0 Then
            CType(groupDocuments.Pages(groupDocuments.Pages.Count - 1).Controls(0), AxSHDocVw.AxWebBrowser).Navigate(destination, obj, obj, obj, obj)
        End If
        If Not groupDocuments.Visible Then
            groupDocuments.Show()
        End If
    End Sub

    Private Function CreateDocument(ByVal destination As String) As Page
        Dim newPage As Page = New Page
        newPage.StyleFromParent = True
        newPage.Text = "Document " + CType((groupDocuments.Pages.Count + 1), Integer).ToString
        Dim newBrowser As AxSHDocVw.AxWebBrowser = New AxSHDocVw.AxWebBrowser
        newPage.Controls.Add(newBrowser)
        newBrowser.ContainingControl = Me
        newBrowser.Dock = System.Windows.Forms.DockStyle.Fill
        newBrowser.Enabled = True

        AddHandler newBrowser.HandleCreated, AddressOf OnWebBrowserCreated
        AddHandler newBrowser.CommandStateChange, AddressOf OnWebBrowserCommandStateChange
        AddHandler newBrowser.DocumentComplete, AddressOf OnWebBrowserDocumentComplete
        Return newPage
    End Function
#End Region

#Region "Toolbar"
    Private Sub mainToolbar_ButtonClick(ByVal sender As Object, ByVal e As System.Windows.Forms.ToolBarButtonClickEventArgs) Handles mainToolbar.ButtonClick
        Select Case mainToolbar.Buttons.IndexOf(e.Button)
            Case 0
                Try
                    axWebBrowser1.GoBack()
                Catch generatedExceptionVariable0 As Exception
                End Try
            Case 1
                Try
                    axWebBrowser1.GoForward()
                Catch generatedExceptionVariable0 As Exception
                End Try
            Case 2
                axWebBrowser1.Stop()
            Case 3
                Dim obj As Object = Nothing
                axWebBrowser1.Refresh2(obj)
            Case 4
                axWebBrowser1.GoHome()
            Case 6
                axWebBrowser1.GoSearch()
            Case 7
                barBrowser.SelectedGroup = groupFavorites
            Case 8
                SendKeys.Send("^p")
        End Select
    End Sub
#End Region

#Region "General"
    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
        barBrowser.SelectedGroup = groupFavorites
        NavigateTo("http://www.lidorsystems.com")

    End Sub

    Private Sub textBoxAddress_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles textBoxAddress.KeyDown
        If e.KeyCode = Keys.Enter Then
            NavigateTo(textBoxAddress.Text)
        End If
    End Sub

    Private Sub toolBarGoButton_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles toolBarGoButton.Click
        NavigateTo(textBoxAddress.Text)
    End Sub

    Private Sub OnWebBrowserCreated(ByVal sender As Object, ByVal e As EventArgs)
        toolBarGoButton_Click(toolBarGoButton, EventArgs.Empty)
        If TypeOf sender Is AxSHDocVw.AxWebBrowser Then
            RemoveHandler CType(sender, AxSHDocVw.AxWebBrowser).HandleCreated, AddressOf OnWebBrowserCreated
        End If
    End Sub

    Private Sub OnWebBrowserDocumentComplete(ByVal sender As Object, ByVal e As AxSHDocVw.DWebBrowserEvents2_DocumentCompleteEvent)
        textBoxAddress.Text = e.uRL.ToString
    End Sub

    Private Sub OnWebBrowserCommandStateChange(ByVal sender As Object, ByVal e As AxSHDocVw.DWebBrowserEvents2_CommandStateChangeEvent)
        If CType(e.command, CommandStateChangeConstants) = CommandStateChangeConstants.CSC_NAVIGATEBACK Then
            toolBarButton1.Enabled = e.enable
        Else
            If CType(e.command, CommandStateChangeConstants) = CommandStateChangeConstants.CSC_NAVIGATEFORWARD Then
                toolBarButton2.Enabled = e.enable
            End If
        End If
    End Sub

    Private Sub menuItemExit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemExit.Click
        Application.Exit()
    End Sub

    Private Sub toolBar_ButtonClick(ByVal sender As Object, ByVal e As System.Windows.Forms.ToolBarButtonClickEventArgs) Handles toolBar.ButtonClick
        MessageBox.Show("Not assigned!")
    End Sub

    Private Sub OnGroupClosed(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs)
    End Sub

    Private Sub groupFavorites_GroupClosed(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs) Handles groupFavorites.GroupClosed
        RaiseGroupClosedEvent(ce)
    End Sub

    Private Sub groupHistory_GroupClosed(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs) Handles groupHistory.GroupClosed
        RaiseGroupClosedEvent(ce)
    End Sub

    Private Sub groupResearch_GroupClosed(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs) Handles groupResearch.GroupClosed
        RaiseGroupClosedEvent(ce)
    End Sub

    Private Sub barBrowser_GroupClosed(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs) Handles barBrowser.GroupClosed
        RaiseGroupClosedEvent(ce)
    End Sub

    Private Sub RaiseGroupClosedEvent(ByVal ce As LidorSystems.Collector.CollectorEventArgs)
        If TypeOf ce.CollectorObject Is Group Then
            Dim currentGroup As Group = CType(ce.CollectorObject, Group)
            If currentGroup.AutoHide Then
                currentGroup.AutoHide = False
            End If
        End If
    End Sub

    Private Sub barBrowser_BarClosed(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs) Handles barBrowser.BarClosed
        Me.menuItemViewBar.Checked = False
    End Sub

    Private Sub menuItemViewBar_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemViewBar.Click
        If Not (barBrowser Is Nothing) AndAlso Not barBrowser.IsDisposed Then
            If Not barBrowser.Visible Then
                If Not (groupHistory Is Nothing) AndAlso Not groupHistory.IsDisposed Then
                    If Not barBrowser.Groups.Contains(groupHistory) Then
                        barBrowser.Groups.Add(groupHistory)
                    End If
                    groupHistory.StyleFromParent = True
                    groupHistory.AutoHide = False
                    groupHistory.Visible = True
                End If
                If Not (groupResearch Is Nothing) AndAlso Not groupResearch.IsDisposed Then
                    If Not barBrowser.Groups.Contains(groupResearch) Then
                        barBrowser.Groups.Add(groupResearch)
                    End If
                    groupResearch.StyleFromParent = True
                    groupResearch.AutoHide = False
                    groupResearch.Visible = True
                End If
                If Not (groupFavorites Is Nothing) AndAlso Not groupFavorites.IsDisposed Then
                    If Not barBrowser.Groups.Contains(groupFavorites) Then
                        barBrowser.Groups.Add(groupFavorites)
                    End If
                    groupFavorites.StyleFromParent = True
                    groupFavorites.AutoHide = False
                    groupFavorites.Visible = True
                    barBrowser.SelectedGroup = groupFavorites
                End If
            End If
            barBrowser.Visible = Not barBrowser.Visible
            Me.menuItemViewBar.Checked = barBrowser.Visible
            If barBrowser.Visible Then
                barBrowser.UpdateLayout()
            End If
        End If
    End Sub

    Private Sub menuItemLS_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemLS.Click
        NavigateTo("http://www.lidorsystems.com")
    End Sub

    Private Sub menuItemLSProducts_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemLSProducts.Click
        NavigateTo("http://www.lidorsystems.com/products/collector")
    End Sub

    Private Sub menuItemGoogle_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemGoogle.Click
        NavigateTo("http://www.google.com")
    End Sub

    Private Sub menuItemWinForms_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemWinForms.Click
        NavigateTo("http://www.windowsforms.com")
    End Sub

    Private Sub NavigateTo(ByVal destination As String)
        Dim obj As Object = Nothing
        If Not (groupDocuments Is Nothing) AndAlso Not (groupDocuments.SelectedPage Is Nothing) AndAlso groupDocuments.SelectedPage.Controls.Count > 0 AndAlso TypeOf groupDocuments.SelectedPage.Controls(0) Is AxSHDocVw.AxWebBrowser Then
            CType(groupDocuments.SelectedPage.Controls(0), AxSHDocVw.AxWebBrowser).Navigate(destination, obj, obj, obj, obj)
        End If
    End Sub

    Private Sub menuItemClassic_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemClassic.Click
        SetAllVisualStyle(VisualStyle.Classic)
    End Sub

    Private Sub menuItemOffice2003_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemOffice2003.Click
        SetAllVisualStyle(VisualStyle.Office2003)
    End Sub

    Private Sub menuItemVS2003_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemVS2003.Click
        SetAllVisualStyle(VisualStyle.VS2003)
    End Sub

    Private Sub menuItemVS2005_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemVS2005.Click
        SetAllVisualStyle(VisualStyle.VS2005)
    End Sub

    Private Sub menuItemDefault_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemDefault.Click
        SetAllVisualStyle(VisualStyle.Default)
    End Sub

    Private Sub SetAllVisualStyle(ByVal vStyle As VisualStyle)
        For Each ctrl As Control In Me.Controls
            If TypeOf ctrl Is AutoHideBar Then
                CType(ctrl, AutoHideBar).VisualStyle = vStyle
            Else
                If TypeOf ctrl Is Bar Then
                    CType(ctrl, Bar).VisualStyle = vStyle
                Else
                    If TypeOf ctrl Is Group Then
                        CType(ctrl, Group).VisualStyle = vStyle
                    End If
                End If
            End If
        Next
    End Sub

    Private Sub menuItemThemed_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles menuItemThemed.Click
        Me.menuItemThemed.Checked = Not Me.menuItemThemed.Checked
        For Each ctrl As Control In Me.Controls
            If TypeOf ctrl Is AutoHideBar Then
                CType(ctrl, AutoHideBar).UseTheme = Me.menuItemThemed.Checked
            Else
                If TypeOf ctrl Is Bar Then
                    CType(ctrl, Bar).UseTheme = Me.menuItemThemed.Checked
                Else
                    If TypeOf ctrl Is Group Then
                        CType(ctrl, Group).UseTheme = Me.menuItemThemed.Checked
                    End If
                End If
            End If
        Next
    End Sub

    Private Sub groupDocuments_GroupClosing(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CancelableCollectorEventArgs) Handles groupDocuments.GroupClosing
        If groupDocuments.Pages.Count = 0 Then
            ce.Cancel = True
            groupDocuments.Hide()
            groupDocuments.TabStrip = False
        End If
    End Sub

    Private Sub groupFavorites_AutoHideChanged(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs) Handles groupFavorites.AutoHideChanged
        RaiseAutoHideChangedEvent(ce)
    End Sub

    Private Sub groupHistory_AutoHideChanged(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs) Handles groupHistory.AutoHideChanged
        RaiseAutoHideChangedEvent(ce)
    End Sub

    Private Sub groupResearch_AutoHideChanged(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs) Handles groupResearch.AutoHideChanged
        RaiseAutoHideChangedEvent(ce)
    End Sub

    Private Sub RaiseAutoHideChangedEvent(ByVal ce As LidorSystems.Collector.CollectorEventArgs)
        If TypeOf ce.CollectorObject Is Group Then
            Dim currentGroup As Group = CType(ce.CollectorObject, Group)
            If TypeOf currentGroup.Parent Is AutoHideBar.AutoHidePanel Then
                Dim parentBar As AutoHideBar = CType(currentGroup.Parent, AutoHideBar.AutoHidePanel).ParentBar
                If Not (parentBar Is Nothing) Then
                    parentBar.OuterControl = Me.panel1
                End If
            End If
        End If
    End Sub
#End Region

End Class
